GELF_GETCLASS(3)

NAME
gelf_getclass - retrieve the class of an ELF descriptor

SYNOPSIS
libelf
#include <gelf.h>
int
gelf_getclass(Elf *elf);

DESCRIPTION
Function gelf_getclass() returns the ELF class of the descriptor supplied in argument elf.

RETURN VALUES
Function gelf_getclass() will return one of ELFCLASS32 or ELFCLASS64 if the argument elf is a descriptor for an ELF file. The value ELFCLASSNONE is returned if argument elf was null, or if it was not a descriptor for an ELF file.

SEE ALSO
elf(3), elf_kind(3), gelf(3)